import { FieldValues } from "react-hook-form";
import { CreatePropsDefinition } from "../types";
export declare function useNiceformContext<Form extends CreatePropsDefinition = CreatePropsDefinition, TFieldValues extends FieldValues = FieldValues>(): {
    renderField: import("../types").RenderField<Form["fieldProps"], TFieldValues>;
    renderFields: import("../types").RenderFields<Form["fieldProps"], TFieldValues>;
    methods: import("react-hook-form").UseFormReturn<TFieldValues>;
    memoize<T>(callback: () => T, dependencies: [key: any, ...deps: any[]]): T;
    memoizeCallback<T_1 extends () => any>(callback: T_1, dependencies: [key: any, ...deps: any[]]): T_1;
    getField(name: string): import("../types").Field<Form["fieldProps"], TFieldValues> | undefined;
    control: {
        readonly errorsControl: (((parameters: import("../types").ErrorsControlParameters<Form["fieldProps"]>) => string | boolean | void | undefined) | ((parameters: import("../types").ErrorsControlParameters<Form["fieldProps"]>) => Promise<string | boolean | void | undefined>))[] | undefined;
        readonly fieldsRegistered: Map<string, import("../types").Field<Form["fieldProps"], TFieldValues>>;
        readonly parameters: import("../types").UseFormParameters<Form, TFieldValues> | undefined;
        readonly config: import("../types").CreateConfig<Form>;
        readonly debounceSubmitDefinitions: {
            set(time: number): void;
        };
    };
};
//# sourceMappingURL=useNiceformContext.d.ts.map