export declare class ManyKeysMap<K, V> extends Map<K[], V> {
    private _objectHashes;
    private _symbolHashes;
    private _publicKeys;
    constructor();
    _getPublicKeys(keys: any, create?: boolean): {
        privateKey: string | boolean;
        publicKey: any;
    };
    _getPrivateKey(keys: any, create?: boolean): string | false;
    set(keys: K[], value: V): this;
    get(keys: K[]): V | undefined;
    has(keys: K[]): boolean;
    delete(keys: K[]): boolean;
    clear(): void;
    get [Symbol.toStringTag](): string;
    get size(): number;
}
//# sourceMappingURL=ManyKeysMap.d.ts.map