import { RenderFieldPayload, RenderFieldPayloadAsFunction } from "../types";
export declare function normalizeFieldPayload(field: RenderFieldPayload<Record<string, any>> | RenderFieldPayloadAsFunction<Record<string, any>, any>, deps: Parameters<RenderFieldPayloadAsFunction<Record<string, any>, any>>[0]): {
    type: string;
    name: string;
    active?: boolean | undefined;
    dependsOnToClear?: string | string[] | undefined;
    input?(value: any): any;
    output?(value: any): any;
    debounceTime?: number | undefined;
    enableDebounce?: boolean | undefined;
    validate?: Record<string, import("react-hook-form").Validate<any, import("react-hook-form").FieldValues>> | undefined;
} & Omit<import("react-hook-form").RegisterOptions<import("react-hook-form").FieldValues, string>, "setValueAs" | "valueAsNumber" | "valueAsDate" | "validate"> & Record<string, any>;
//# sourceMappingURL=normalizeFieldPayload.d.ts.map