import { UseFormReturn } from "react-hook-form";
import { Field } from "../types";
import { OnChangeField } from "../types/auxiliar";
export interface UseChangeField<T extends Record<string, any> = Record<string, any>> {
    methods: UseFormReturn<any>;
    fields: Map<string, Field>;
    onChangeField?: OnChangeField<T>;
}
export declare function useChangeField<T extends Record<string, any> = Record<string, any>>(props: UseChangeField<T>): void;
//# sourceMappingURL=useChangeField.d.ts.map