import { UseFormReturn } from "react-hook-form";
import { Field } from "../types";
export interface UseDependentFieldsToClear {
    methods: UseFormReturn<any>;
    fields: Map<string, Field>;
    optionsWhenCleaning?: Partial<{
        shouldValidate: boolean;
        shouldDirty: boolean;
        shouldTouch: boolean;
        shouldCleanChain: boolean;
    }>;
}
export default function useDependentFieldsToClear(input: UseDependentFieldsToClear): void;
//# sourceMappingURL=useDependentFieldsToClear.d.ts.map