import { FieldValues, UseFormStateProps } from 'react-hook-form';
import type { FormConfig } from '../../types/FormConfig';
export default function useFormState<TFieldValues extends FieldValues = FieldValues>(props?: UseFormStateProps<TFieldValues>): import("react-hook-form").UseFormStateReturn<TFieldValues>;
export declare function useContextSelectorFormState<TFieldValues extends FieldValues, Selected>(callback: (parameters: FormConfig['form']['methods']['formState']) => Selected): Selected;
//# sourceMappingURL=useFormState.d.ts.map